Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle
Class CheckStyleTask.Property

    java.lang.Object
      com.puppycrawl.tools.checkstyle.CheckStyleTask.Property

Enclosing class:
  CheckStyleTask

    public static class CheckStyleTask.Property

extends Object

Represents a property that consists of a key and value.

Constructor Summary
`CheckStyleTask.Property()`

Method Summary
`String` | `getKey()`
`String` | `getValue()`
`void` | `setFile(File aValue)`
`void` | `setKey(String aKey)`
`void` | `setValue(String aValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckStyleTask.Property

    public CheckStyleTask.Property()

Method Detail

### getKey

    public String getKey()

  Returns:
    the property key

### setKey

    public void setKey(String aKey)

  Parameters:
    `aKey` - sets the property key

### getValue

    public String getValue()

  Returns:
    the property value

### setValue

    public void setValue(String aValue)

  Parameters:
    `aValue` - set the property value

### setFile

    public void setFile(File aValue)

  Parameters:
    `aValue` - set the property value from a File

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD